<?php
/**
 * @version $Id: login.php 3076 2010-07-19 01:39:17Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 **/

// Dont allow direct linking
defined ( '_JEXEC' ) or die ();
require_once (KUNENA_PATH_LIB . DS . 'kunena.login.php');
$this->user = JFactory::getUser();
$this->config = KunenaFactory::getConfig ();
$type = CKunenaLogin::getType ();
$return = CKunenaLogin::getReturnURL ( $type );
$avatar = CKunenaLogin::getMyAvatar();
$login = CKunenaLogin::getloginFields();
?>
<div class="kblock kpbox">
	<div class="kcontainer" id="kprofilebox">
		<div class="kbody">
<table class="kprofilebox">
	<tbody>
		<tr class="krow1">
			<td valign="top" class="kprofileboxcnt">
				<div class="k_guest">
					<?php echo JText::_('COM_KUNENA_PROFILEBOX_WELCOME'); ?>,
					<b><?php echo JText::_('COM_KUNENA_PROFILEBOX_GUEST'); ?></b> - <b><?php $registration = CKunenaLogin::getRegisterLink (); if ($registration) : ?> <span> <?php echo $registration ?></span><?php endif; ?></b>
				</div>
				<?php if ($login) : ?>
				<form action="<?php echo KUNENA_LIVEURLREL ?>" method="post" name="login">
					<div class="input">
						<ul><li>
							<input type="text" onfocus="if(this.value=='<?php echo JText::_('COM_KUNENA_A_USERNAME'); ?>') this.value='';" onblur="if(this.value=='') this.value='<?php echo JText::_('COM_KUNENA_A_USERNAME'); ?>';" value="<?php echo JText::_('COM_KUNENA_A_USERNAME'); ?>" size="18" alt="username" class="inputbox ks" name="username" />
						</li></ul>
						<div id="inputlogin">
						<ul><li>
							<input type="password" onfocus="if(this.value=='<?php echo JText::_('COM_KUNENA_PASS'); ?>:') this.value='';" onblur="if(this.value=='') this.value='<?php echo JText::_('COM_KUNENA_PASS'); ?>:';" value="<?php echo JText::_('COM_KUNENA_PASS'); ?>:" alt="password" size="18" class="inputbox ks" name="passwd" /> <input type="submit" name="submit" class="kbutton" value="<?php echo JText::_('COM_KUNENA_PROFILEBOX_LOGIN'); ?>" /></li></ul>
						</div>
						<div id="knamepasslost"><ul><li><?php echo CKunenaLogin::getLostUserLink ();?></li>
						<li><?php echo CKunenaLogin::getLostPasswordLink (); ?></li></ul></div>
						<ul><li>
						
							<input type="hidden" name="option" value="<?php echo $login['option']; ?>" />
							<input type="hidden" name="task" value="<?php echo $login['task']; ?>" />
							<input type="hidden" name="<?php echo $login['field_return']; ?>" value="<?php echo $return; ?>" /> <?php echo JHTML::_ ( 'form.token' ); ?>
						</li></ul>
					</div>
				</form>
				<?php endif; ?>
			</td>
				<?php if (JDocumentHTML::countModules ( 'kunena_profilebox' )) : ?>
			<td class = "kprofilebox-right">
				<div class="kprofilebox-modul">
					<?php CKunenaTools::showModulePosition( 'kunena_profilebox' ); ?>
				</div>
			</td>
			<?php endif; ?>
		</tr>
	</tbody>
</table>
		</div>
	</div>
</div>